package com.kuyuntech.cofarcooking.device.sdk.protocol.core.cmd;


import com.kuyuntech.cofarcooking.device.sdk.constant.core.CmdTypes;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseBody;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseDecoder;
import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class WeightDataCmd extends BaseBody {

    private BaseBody baseBody;

    //指令类型
    private String cmd;

    //称重数据，单位克
    private String weight;

    //数据类型
    private String type;

    public WeightDataCmd(String data){
        this(new BaseDecoder(data));
    }

    public WeightDataCmd(BaseDecoder baseDecoder) {
        this.baseBody = baseDecoder.getBaseBody();
        byte[] content = this.baseBody.getContent();
        int i = 0;
        this.cmd = Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.weight= Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.type= Converter.bytesToHexString(new byte[]{content[i]},1);
    }


    public WeightDataCmd() {
        super(CmdTypes.WEIGHT_DATA);
    }

}
